Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.component
Interface DisplayValueOnlyCapable

    public interface DisplayValueOnlyCapable

Behavioral interface. By default, displayValueOnly is false, and the components have the default behaviour. When displayValueOnly is true, the renderer should not render any input widget. Only the text corresponding to the component's value should be rendered instead.

Version:
  $Revision: 169739 $ $Date: 2005-05-12 02:45:14 +0200 (Thu, 12 May 2005) $
Author:
  Sylvain Vieujot (latest modification by $Author: svieujot $), Martin Marinschek

Field Summary
`static java.lang.String` | `DISPLAY_VALUE_ONLY_ATTR`
`static java.lang.String` | `DISPLAY_VALUE_ONLY_STYLE_ATTR`
`static java.lang.String` | `DISPLAY_VALUE_ONLY_STYLE_CLASS_ATTR`

Method Summary
`java.lang.String` | `getDisplayValueOnlyStyle()`
`java.lang.String` | `getDisplayValueOnlyStyleClass()`
`boolean` | `isDisplayValueOnly()`
`boolean` | `isSetDisplayValueOnly()`
`void` | `setDisplayValueOnly(boolean displayValueOnly)`
`void` | `setDisplayValueOnlyStyle(java.lang.String style)`
`void` | `setDisplayValueOnlyStyleClass(java.lang.String styleClass)`

Field Detail

### DISPLAY_VALUE_ONLY_ATTR

    static final java.lang.String DISPLAY_VALUE_ONLY_ATTR

See Also:
  Constant Field Values

### DISPLAY_VALUE_ONLY_STYLE_ATTR

    static final java.lang.String DISPLAY_VALUE_ONLY_STYLE_ATTR

See Also:
  Constant Field Values

### DISPLAY_VALUE_ONLY_STYLE_CLASS_ATTR

    static final java.lang.String DISPLAY_VALUE_ONLY_STYLE_CLASS_ATTR

See Also:
  Constant Field Values

Method Detail

### isSetDisplayValueOnly

    boolean isSetDisplayValueOnly()

### isDisplayValueOnly

    boolean isDisplayValueOnly()

### setDisplayValueOnly

    void setDisplayValueOnly(boolean displayValueOnly)

### getDisplayValueOnlyStyle

    java.lang.String getDisplayValueOnlyStyle()

### setDisplayValueOnlyStyle

    void setDisplayValueOnlyStyle(java.lang.String style)

### getDisplayValueOnlyStyleClass

    java.lang.String getDisplayValueOnlyStyleClass()

### setDisplayValueOnlyStyleClass

    void setDisplayValueOnlyStyleClass(java.lang.String styleClass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.